[meta] Rename some files to be more cross platform
diff --git a/.editorconfig b/.editorconfig
index 0176d42..70c43d3 100644
--- a/.editorconfig
+++ b/.editorconfig
@@ -12,10 +12,10 @@
 [*.txt]
 indent_size = false
 
-[test/fast/Listing versions/Running "nvm ls" calls into nvm_alias]
+[test/fast/Listing versions/Running 'nvm ls' calls into nvm_alias]
 indent_size = false
 
-[test/fast/Listing versions/Running "nvm ls --no-alias" does not call into nvm_alias]
+[test/fast/Listing versions/Running 'nvm ls --no-alias' does not call into nvm_alias]
 indent_size = false
 
 [test/fast/Unit tests/mocks/**]
diff --git a/.github/workflows/lint.yml b/.github/workflows/lint.yml
index 97ed062..26c7e88 100644
--- a/.github/workflows/lint.yml
+++ b/.github/workflows/lint.yml
@@ -36,3 +36,10 @@
             cp README.md README.md.orig
             npm run doctoc
             diff -q README.md README.md.orig
+
+  test_naming:
+    runs-on: ubuntu-latest
+    steps:
+      - uses: actions/checkout@v2
+      - name: check tests filenames
+        run: ./rename_test.sh --check
diff --git a/rename_test.sh b/rename_test.sh
new file mode 100755
index 0000000..5530862
--- /dev/null
+++ b/rename_test.sh
@@ -0,0 +1,52 @@
+#! /usr/bin/env bash
+
+find_name(){
+  find test -name "*[\\/:\*\?\"<>\|]*" -o -name "*."
+}
+
+check_name() {
+  if [ "$(find_name | wc -l)" != "0" ]; then
+    printf '%s\n\n' "The following filenames contain unwanted characters:"
+    find_name
+    printf '\n%s\n%s\n' "Please run ./rename_test.sh" "If the problem persist, please open an issue."
+    exit 1
+  else
+    echo "Ok"
+  fi
+}
+
+rename_test() {
+  local filename
+  local new_filename
+  while read -r filename; do
+    # Even though it looks < and > are replaced by the same < and >, the latters are not ASCII code
+    # If you check with 'cat -v rename_test.sh' you would see 's/</M-KM-^B/g' and 's/>/M-KM-^C/g'
+    # M-KM-^B -> U+02C2
+    # M-KM-^C -> U+02C3
+    new_filename=$(echo "$filename" | sed -r \
+      -e "s/\"/'/g" \
+      -e 's/</˂/g' \
+      -e 's/>/˃/g' \
+      -e 's/^(.*)\.$/\1/'
+      )
+    printf '%s\n%s\n\n' "$filename" "$new_filename"
+    [ "$filename" != "$new_filename" ] && git mv "$filename" "$new_filename"
+  done < <(find_name)
+
+  if [ "$(find_name | wc -l)" != "0" ]; then
+    echo "Still some files to treat:"
+    find_name
+  else
+    echo "Done"
+  fi
+}
+
+main() {
+  if [ "$1" = "--check" ]; then
+    check_name
+  else
+    rename_test
+  fi
+}
+
+main "$@"
diff --git "a/test/fast/Aliases/\"nvm alias\" should not accept aliases with slashes" "b/test/fast/Aliases/\047nvm alias\047 should not accept aliases with slashes"
similarity index 100%
rename from "test/fast/Aliases/\"nvm alias\" should not accept aliases with slashes"
rename to "test/fast/Aliases/\047nvm alias\047 should not accept aliases with slashes"
diff --git "a/test/fast/Aliases/\"nvm unalias\" should accept aliases when they shadow a built-in alias" "b/test/fast/Aliases/\047nvm unalias\047 should accept aliases when they shadow a built-in alias"
similarity index 100%
rename from "test/fast/Aliases/\"nvm unalias\" should accept aliases when they shadow a built-in alias"
rename to "test/fast/Aliases/\047nvm unalias\047 should accept aliases when they shadow a built-in alias"
diff --git "a/test/fast/Aliases/\"nvm unalias\" should not accept aliases with names equal to built-in alias" "b/test/fast/Aliases/\047nvm unalias\047 should not accept aliases with names equal to built-in alias"
similarity index 100%
rename from "test/fast/Aliases/\"nvm unalias\" should not accept aliases with names equal to built-in alias"
rename to "test/fast/Aliases/\047nvm unalias\047 should not accept aliases with names equal to built-in alias"
diff --git "a/test/fast/Aliases/\"nvm unalias\" should not accept aliases with slashes" "b/test/fast/Aliases/\047nvm unalias\047 should not accept aliases with slashes"
similarity index 100%
rename from "test/fast/Aliases/\"nvm unalias\" should not accept aliases with slashes"
rename to "test/fast/Aliases/\047nvm unalias\047 should not accept aliases with slashes"
diff --git "a/test/fast/Aliases/Running \"nvm alias \074aliasname\076 \074target\076\" again should change the target" "b/test/fast/Aliases/Running \047nvm alias \313\202aliasname\313\203 \313\202target\313\203\047 again should change the target"
similarity index 100%
rename from "test/fast/Aliases/Running \"nvm alias \074aliasname\076 \074target\076\" again should change the target"
rename to "test/fast/Aliases/Running \047nvm alias \313\202aliasname\313\203 \313\202target\313\203\047 again should change the target"
diff --git "a/test/fast/Aliases/Running \"nvm alias \074aliasname\076\" should list but one alias." "b/test/fast/Aliases/Running \047nvm alias \313\202aliasname\313\203\047 should list but one alias"
similarity index 100%
rename from "test/fast/Aliases/Running \"nvm alias \074aliasname\076\" should list but one alias."
rename to "test/fast/Aliases/Running \047nvm alias \313\202aliasname\313\203\047 should list but one alias"
diff --git "a/test/fast/Aliases/Running \"nvm alias\" lists implicit aliases when they do not exist" "b/test/fast/Aliases/Running \047nvm alias\047 lists implicit aliases when they do not exist"
similarity index 100%
rename from "test/fast/Aliases/Running \"nvm alias\" lists implicit aliases when they do not exist"
rename to "test/fast/Aliases/Running \047nvm alias\047 lists implicit aliases when they do not exist"
diff --git "a/test/fast/Aliases/Running \"nvm alias\" lists manual aliases instead of implicit aliases when present" "b/test/fast/Aliases/Running \047nvm alias\047 lists manual aliases instead of implicit aliases when present"
similarity index 100%
rename from "test/fast/Aliases/Running \"nvm alias\" lists manual aliases instead of implicit aliases when present"
rename to "test/fast/Aliases/Running \047nvm alias\047 lists manual aliases instead of implicit aliases when present"
diff --git "a/test/fast/Aliases/Running \"nvm alias\" should list all aliases." "b/test/fast/Aliases/Running \047nvm alias\047 should list all aliases"
similarity index 100%
rename from "test/fast/Aliases/Running \"nvm alias\" should list all aliases."
rename to "test/fast/Aliases/Running \047nvm alias\047 should list all aliases"
diff --git "a/test/fast/Aliases/lts/\"nvm alias\" should ensure LTS alias dir exists" "b/test/fast/Aliases/lts/\047nvm alias\047 should ensure LTS alias dir exists"
similarity index 100%
rename from "test/fast/Aliases/lts/\"nvm alias\" should ensure LTS alias dir exists"
rename to "test/fast/Aliases/lts/\047nvm alias\047 should ensure LTS alias dir exists"
diff --git "a/test/fast/Listing paths/Running \"nvm which 0.0.2\" should display only version 0.0.2." "b/test/fast/Listing paths/Running \047nvm which 0.0.2\047 should display only version 0.0.2"
similarity index 100%
rename from "test/fast/Listing paths/Running \"nvm which 0.0.2\" should display only version 0.0.2."
rename to "test/fast/Listing paths/Running \047nvm which 0.0.2\047 should display only version 0.0.2"
diff --git "a/test/fast/Listing paths/Running \"nvm which foo\" should return a nonzero exit code when not found" "b/test/fast/Listing paths/Running \047nvm which foo\047 should return a nonzero exit code when not found"
similarity index 100%
rename from "test/fast/Listing paths/Running \"nvm which foo\" should return a nonzero exit code when not found"
rename to "test/fast/Listing paths/Running \047nvm which foo\047 should return a nonzero exit code when not found"
diff --git "a/test/fast/Listing versions/Running \"nvm ls --no-alias\" does not call into nvm_alias" "b/test/fast/Listing versions/Running \047nvm ls --no-alias\047 does not call into nvm_alias"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls --no-alias\" does not call into nvm_alias"
rename to "test/fast/Listing versions/Running \047nvm ls --no-alias\047 does not call into nvm_alias"
diff --git "a/test/fast/Listing versions/Running \"nvm ls --no-alias\" with a pattern errors" "b/test/fast/Listing versions/Running \047nvm ls --no-alias\047 with a pattern errors"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls --no-alias\" with a pattern errors"
rename to "test/fast/Listing versions/Running \047nvm ls --no-alias\047 with a pattern errors"
diff --git "a/test/fast/Listing versions/Running \"nvm ls 0.0.2\" should display only version 0.0.2." "b/test/fast/Listing versions/Running \047nvm ls 0.0.2\047 should display only version 0.0.2"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls 0.0.2\" should display only version 0.0.2."
rename to "test/fast/Listing versions/Running \047nvm ls 0.0.2\047 should display only version 0.0.2"
diff --git "a/test/fast/Listing versions/Running \"nvm ls 0.2\" should display only 0.2.x versions." "b/test/fast/Listing versions/Running \047nvm ls 0.2\047 should display only 0.2.x versions"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls 0.2\" should display only 0.2.x versions."
rename to "test/fast/Listing versions/Running \047nvm ls 0.2\047 should display only 0.2.x versions"
diff --git "a/test/fast/Listing versions/Running \"nvm ls foo\" should return a nonzero exit code when not found" "b/test/fast/Listing versions/Running \047nvm ls foo\047 should return a nonzero exit code when not found"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls foo\" should return a nonzero exit code when not found"
rename to "test/fast/Listing versions/Running \047nvm ls foo\047 should return a nonzero exit code when not found"
diff --git "a/test/fast/Listing versions/Running \"nvm ls io\" should return NA" "b/test/fast/Listing versions/Running \047nvm ls io\047 should return NA"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls io\" should return NA"
rename to "test/fast/Listing versions/Running \047nvm ls io\047 should return NA"
diff --git "a/test/fast/Listing versions/Running \"nvm ls node_\" should return a nonzero exit code when not found" "b/test/fast/Listing versions/Running \047nvm ls node_\047 should return a nonzero exit code when not found"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls node_\" should return a nonzero exit code when not found"
rename to "test/fast/Listing versions/Running \047nvm ls node_\047 should return a nonzero exit code when not found"
diff --git "a/test/fast/Listing versions/Running \"nvm ls stable\" and \"nvm ls unstable\" should return the appropriate implicit alias" "b/test/fast/Listing versions/Running \047nvm ls stable\047 and \047nvm ls unstable\047 should return the appropriate implicit alias"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls stable\" and \"nvm ls unstable\" should return the appropriate implicit alias"
rename to "test/fast/Listing versions/Running \047nvm ls stable\047 and \047nvm ls unstable\047 should return the appropriate implicit alias"
diff --git "a/test/fast/Listing versions/Running \"nvm ls system\" should include \"system\" when appropriate" "b/test/fast/Listing versions/Running \047nvm ls system\047 should include \047system\047 when appropriate"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls system\" should include \"system\" when appropriate"
rename to "test/fast/Listing versions/Running \047nvm ls system\047 should include \047system\047 when appropriate"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" calls into nvm_alias" "b/test/fast/Listing versions/Running \047nvm ls\047 calls into nvm_alias"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" calls into nvm_alias"
rename to "test/fast/Listing versions/Running \047nvm ls\047 calls into nvm_alias"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should display all installed versions." "b/test/fast/Listing versions/Running \047nvm ls\047 should display all installed versions"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should display all installed versions."
rename to "test/fast/Listing versions/Running \047nvm ls\047 should display all installed versions"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should filter out \".nvm\"" "b/test/fast/Listing versions/Running \047nvm ls\047 should filter out \047.nvm\047"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should filter out \".nvm\""
rename to "test/fast/Listing versions/Running \047nvm ls\047 should filter out \047.nvm\047"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should filter out \"versions\"" "b/test/fast/Listing versions/Running \047nvm ls\047 should filter out \047versions\047"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should filter out \"versions\""
rename to "test/fast/Listing versions/Running \047nvm ls\047 should filter out \047versions\047"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should include \"system\" when appropriate" "b/test/fast/Listing versions/Running \047nvm ls\047 should include \047system\047 when appropriate"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should include \"system\" when appropriate"
rename to "test/fast/Listing versions/Running \047nvm ls\047 should include \047system\047 when appropriate"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should list versions in the \"versions\" directory" "b/test/fast/Listing versions/Running \047nvm ls\047 should list versions in the \047versions\047 directory"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should list versions in the \"versions\" directory"
rename to "test/fast/Listing versions/Running \047nvm ls\047 should list versions in the \047versions\047 directory"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" should not show a trailing slash" "b/test/fast/Listing versions/Running \047nvm ls\047 should not show a trailing slash"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" should not show a trailing slash"
rename to "test/fast/Listing versions/Running \047nvm ls\047 should not show a trailing slash"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" with node-like versioning vx.x.x should only list a matched version" "b/test/fast/Listing versions/Running \047nvm ls\047 with node-like versioning vx.x.x should only list a matched version"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" with node-like versioning vx.x.x should only list a matched version"
rename to "test/fast/Listing versions/Running \047nvm ls\047 with node-like versioning vx.x.x should only list a matched version"
diff --git "a/test/fast/Listing versions/Running \"nvm ls\" with nounset should not fail." "b/test/fast/Listing versions/Running \047nvm ls\047 with nounset should not fail"
similarity index 100%
rename from "test/fast/Listing versions/Running \"nvm ls\" with nounset should not fail."
rename to "test/fast/Listing versions/Running \047nvm ls\047 with nounset should not fail"
diff --git "a/test/fast/Running \"nvm alias\" should create a file in the alias directory." "b/test/fast/Running \047nvm alias\047 should create a file in the alias directory"
similarity index 100%
rename from "test/fast/Running \"nvm alias\" should create a file in the alias directory."
rename to "test/fast/Running \047nvm alias\047 should create a file in the alias directory"
diff --git "a/test/fast/Running \"nvm current\" should display current nvm environment." "b/test/fast/Running \047nvm current\047 should display current nvm environment"
similarity index 100%
rename from "test/fast/Running \"nvm current\" should display current nvm environment."
rename to "test/fast/Running \047nvm current\047 should display current nvm environment"
diff --git "a/test/fast/Running \"nvm deactivate\" should unset the nvm environment variables." "b/test/fast/Running \047nvm deactivate\047 should unset the nvm environment variables"
similarity index 100%
rename from "test/fast/Running \"nvm deactivate\" should unset the nvm environment variables."
rename to "test/fast/Running \047nvm deactivate\047 should unset the nvm environment variables"
diff --git "a/test/fast/Running \"nvm install\" with \"--reinstall-packages-from\" requires a valid version" "b/test/fast/Running \047nvm install\047 with \047--reinstall-packages-from\047 requires a valid version"
similarity index 100%
rename from "test/fast/Running \"nvm install\" with \"--reinstall-packages-from\" requires a valid version"
rename to "test/fast/Running \047nvm install\047 with \047--reinstall-packages-from\047 requires a valid version"
diff --git "a/test/fast/Running \"nvm install\" with an invalid version fails nicely" "b/test/fast/Running \047nvm install\047 with an invalid version fails nicely"
similarity index 100%
rename from "test/fast/Running \"nvm install\" with an invalid version fails nicely"
rename to "test/fast/Running \047nvm install\047 with an invalid version fails nicely"
diff --git "a/test/fast/Running \"nvm unalias\" should remove the alias file." "b/test/fast/Running \047nvm unalias\047 should remove the alias file"
similarity index 100%
rename from "test/fast/Running \"nvm unalias\" should remove the alias file."
rename to "test/fast/Running \047nvm unalias\047 should remove the alias file"
diff --git "a/test/fast/Running \"nvm uninstall\" should remove the appropriate directory." "b/test/fast/Running \047nvm uninstall\047 should remove the appropriate directory"
similarity index 100%
rename from "test/fast/Running \"nvm uninstall\" should remove the appropriate directory."
rename to "test/fast/Running \047nvm uninstall\047 should remove the appropriate directory"
diff --git "a/test/fast/Running \"nvm uninstall\" with incorrect file permissions fails nicely" "b/test/fast/Running \047nvm uninstall\047 with incorrect file permissions fails nicely"
similarity index 100%
rename from "test/fast/Running \"nvm uninstall\" with incorrect file permissions fails nicely"
rename to "test/fast/Running \047nvm uninstall\047 with incorrect file permissions fails nicely"
diff --git "a/test/fast/Running \"nvm unload\" should unset all function and variables." "b/test/fast/Running \047nvm unload\047 should unset all function and variables"
similarity index 100%
rename from "test/fast/Running \"nvm unload\" should unset all function and variables."
rename to "test/fast/Running \047nvm unload\047 should unset all function and variables"
diff --git "a/test/fast/Running \"nvm use foo\" where \"foo\" is circular aborts" "b/test/fast/Running \047nvm use foo\047 where \047foo\047 is circular aborts"
similarity index 100%
rename from "test/fast/Running \"nvm use foo\" where \"foo\" is circular aborts"
rename to "test/fast/Running \047nvm use foo\047 where \047foo\047 is circular aborts"
diff --git "a/test/fast/Running \"nvm use iojs\" uses latest io.js version" "b/test/fast/Running \047nvm use iojs\047 uses latest io.js version"
similarity index 100%
rename from "test/fast/Running \"nvm use iojs\" uses latest io.js version"
rename to "test/fast/Running \047nvm use iojs\047 uses latest io.js version"
diff --git "a/test/fast/Running \"nvm use system\" should work as expected" "b/test/fast/Running \047nvm use system\047 should work as expected"
similarity index 100%
rename from "test/fast/Running \"nvm use system\" should work as expected"
rename to "test/fast/Running \047nvm use system\047 should work as expected"
diff --git "a/test/fast/Running \"nvm use x\" should create and change the \"current\" symlink" "b/test/fast/Running \047nvm use x\047 should create and change the \047current\047 symlink"
similarity index 100%
rename from "test/fast/Running \"nvm use x\" should create and change the \"current\" symlink"
rename to "test/fast/Running \047nvm use x\047 should create and change the \047current\047 symlink"
diff --git "a/test/fast/Running \"nvm use x\" should not create the \"current\" symlink if $NVM_SYMLINK_CURRENT is false" "b/test/fast/Running \047nvm use x\047 should not create the \047current\047 symlink if $NVM_SYMLINK_CURRENT is false"
similarity index 100%
rename from "test/fast/Running \"nvm use x\" should not create the \"current\" symlink if $NVM_SYMLINK_CURRENT is false"
rename to "test/fast/Running \047nvm use x\047 should not create the \047current\047 symlink if $NVM_SYMLINK_CURRENT is false"
diff --git "a/test/fast/Running \"nvm use\" should drop CR char automatically." "b/test/fast/Running \047nvm use\047 should drop CR char automatically"
similarity index 100%
rename from "test/fast/Running \"nvm use\" should drop CR char automatically."
rename to "test/fast/Running \047nvm use\047 should drop CR char automatically"
diff --git a/test/fast/Sourcing nvm.sh should make the nvm command available. b/test/fast/Sourcing nvm.sh should make the nvm command available
similarity index 100%
rename from test/fast/Sourcing nvm.sh should make the nvm command available.
rename to test/fast/Sourcing nvm.sh should make the nvm command available
diff --git "a/test/slow/Running \"nvm current\" should display current nvm environment." "b/test/slow/Running \047nvm current\047 should display current nvm environment"
similarity index 100%
rename from "test/slow/Running \"nvm current\" should display current nvm environment."
rename to "test/slow/Running \047nvm current\047 should display current nvm environment"
diff --git "a/test/slow/nvm exec/Preamble works and respects \"silent\" flag" "b/test/slow/nvm exec/Preamble works and respects \047silent\047 flag"
similarity index 100%
rename from "test/slow/nvm exec/Preamble works and respects \"silent\" flag"
rename to "test/slow/nvm exec/Preamble works and respects \047silent\047 flag"
diff --git "a/test/slow/nvm exec/Running \"nvm exec --lts\" should work" "b/test/slow/nvm exec/Running \047nvm exec --lts\047 should work"
similarity index 100%
rename from "test/slow/nvm exec/Running \"nvm exec --lts\" should work"
rename to "test/slow/nvm exec/Running \047nvm exec --lts\047 should work"
diff --git "a/test/slow/nvm exec/Running \"nvm exec 0.x\" should work" "b/test/slow/nvm exec/Running \047nvm exec 0.x\047 should work"
similarity index 100%
rename from "test/slow/nvm exec/Running \"nvm exec 0.x\" should work"
rename to "test/slow/nvm exec/Running \047nvm exec 0.x\047 should work"
diff --git "a/test/slow/nvm exec/Running \"nvm exec\" should pick up .nvmrc version" "b/test/slow/nvm exec/Running \047nvm exec\047 should pick up .nvmrc version"
similarity index 100%
rename from "test/slow/nvm exec/Running \"nvm exec\" should pick up .nvmrc version"
rename to "test/slow/nvm exec/Running \047nvm exec\047 should pick up .nvmrc version"
diff --git "a/test/slow/nvm reinstall-packages/Running \"nvm copy-packages $\050nvm ls current\051\" should error out" "b/test/slow/nvm reinstall-packages/Running \047nvm copy-packages $\050nvm ls current\051\047 should error out"
similarity index 100%
rename from "test/slow/nvm reinstall-packages/Running \"nvm copy-packages $\050nvm ls current\051\" should error out"
rename to "test/slow/nvm reinstall-packages/Running \047nvm copy-packages $\050nvm ls current\051\047 should error out"
diff --git "a/test/slow/nvm run/Running \"nvm run --harmony --version\" should work" "b/test/slow/nvm run/Running \047nvm run --harmony --version\047 should work"
similarity index 100%
rename from "test/slow/nvm run/Running \"nvm run --harmony --version\" should work"
rename to "test/slow/nvm run/Running \047nvm run --harmony --version\047 should work"
diff --git "a/test/slow/nvm run/Running \"nvm run --lts\" should work" "b/test/slow/nvm run/Running \047nvm run --lts\047 should work"
similarity index 100%
rename from "test/slow/nvm run/Running \"nvm run --lts\" should work"
rename to "test/slow/nvm run/Running \047nvm run --lts\047 should work"
diff --git "a/test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed" "b/test/slow/nvm run/Running \047nvm run 0.x\047 should error out sensibly when 0.x is not installed"
similarity index 100%
rename from "test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed"
rename to "test/slow/nvm run/Running \047nvm run 0.x\047 should error out sensibly when 0.x is not installed"
diff --git "a/test/slow/nvm run/Running \"nvm run 0.x\" should work" "b/test/slow/nvm run/Running \047nvm run 0.x\047 should work"
similarity index 100%
rename from "test/slow/nvm run/Running \"nvm run 0.x\" should work"
rename to "test/slow/nvm run/Running \047nvm run 0.x\047 should work"
diff --git "a/test/slow/nvm run/Running \"nvm run\" should pick up .nvmrc version" "b/test/slow/nvm run/Running \047nvm run\047 should pick up .nvmrc version"
similarity index 100%
rename from "test/slow/nvm run/Running \"nvm run\" should pick up .nvmrc version"
rename to "test/slow/nvm run/Running \047nvm run\047 should pick up .nvmrc version"
diff --git "a/test/slow/nvm uninstall/Running \"nvm uninstall 0.12.6\" uninstalls v0.12.6" "b/test/slow/nvm uninstall/Running \047nvm uninstall 0.12.6\047 uninstalls v0.12.6"
similarity index 100%
rename from "test/slow/nvm uninstall/Running \"nvm uninstall 0.12.6\" uninstalls v0.12.6"
rename to "test/slow/nvm uninstall/Running \047nvm uninstall 0.12.6\047 uninstalls v0.12.6"
diff --git "a/test/slow/nvm uninstall/Running \"nvm uninstall\" with incorrect file permissions fails nicely" "b/test/slow/nvm uninstall/Running \047nvm uninstall\047 with incorrect file permissions fails nicely"
similarity index 100%
rename from "test/slow/nvm uninstall/Running \"nvm uninstall\" with incorrect file permissions fails nicely"
rename to "test/slow/nvm uninstall/Running \047nvm uninstall\047 with incorrect file permissions fails nicely"
diff --git "a/test/slow/nvm use/Running \"nvm use --lts\" uses latest LTS version" "b/test/slow/nvm use/Running \047nvm use --lts\047 uses latest LTS version"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use --lts\" uses latest LTS version"
rename to "test/slow/nvm use/Running \047nvm use --lts\047 uses latest LTS version"
diff --git "a/test/slow/nvm use/Running \"nvm use --lts=foo\" uses latest \"foo\" LTS version" "b/test/slow/nvm use/Running \047nvm use --lts=foo\047 uses latest \047foo\047 LTS version"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use --lts=foo\" uses latest \"foo\" LTS version"
rename to "test/slow/nvm use/Running \047nvm use --lts=foo\047 uses latest \047foo\047 LTS version"
diff --git "a/test/slow/nvm use/Running \"nvm use iojs\" uses latest io.js version" "b/test/slow/nvm use/Running \047nvm use iojs\047 uses latest io.js version"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use iojs\" uses latest io.js version"
rename to "test/slow/nvm use/Running \047nvm use iojs\047 uses latest io.js version"
diff --git "a/test/slow/nvm use/Running \"nvm use node --silent\" doesn\047t print anything" "b/test/slow/nvm use/Running \047nvm use node --silent\047 doesn\047t print anything"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use node --silent\" doesn\047t print anything"
rename to "test/slow/nvm use/Running \047nvm use node --silent\047 doesn\047t print anything"
diff --git "a/test/slow/nvm use/Running \"nvm use node\" uses latest stable node version" "b/test/slow/nvm use/Running \047nvm use node\047 uses latest stable node version"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use node\" uses latest stable node version"
rename to "test/slow/nvm use/Running \047nvm use node\047 uses latest stable node version"
diff --git "a/test/slow/nvm use/Running \"nvm use v1.0.0\" uses iojs-v1.0.0 iojs version" "b/test/slow/nvm use/Running \047nvm use v1.0.0\047 uses iojs-v1.0.0 iojs version"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use v1.0.0\" uses iojs-v1.0.0 iojs version"
rename to "test/slow/nvm use/Running \047nvm use v1.0.0\047 uses iojs-v1.0.0 iojs version"
diff --git "a/test/slow/nvm use/Running \"nvm use\" calls \"nvm_die_on_prefix\"" "b/test/slow/nvm use/Running \047nvm use\047 calls \047nvm_die_on_prefix\047"
similarity index 100%
rename from "test/slow/nvm use/Running \"nvm use\" calls \"nvm_die_on_prefix\""
rename to "test/slow/nvm use/Running \047nvm use\047 calls \047nvm_die_on_prefix\047"